using System.Data.Entity;
using SQLite.CodeFirst;

namespace TourDataManager {

    public class Foo {
        public long Id;
        public string Data;
    }

    //[DbConfigurationType(typeof(Ef6CodeConfig))]
    public class MyDbContext : DbContext{
        
        public MyDbContext() : base("Data Source =my.sqlite") { }
  
        protected override void OnModelCreating(DbModelBuilder modelBuilder){
            var sqliteConnectionInitializer = new SqliteCreateDatabaseIfNotExists<MyDbContext>(modelBuilder);
            Database.SetInitializer(sqliteConnectionInitializer);
        }

        public DbSet<Foo> Foo{ get; set; }


    }
    
    public class Db {
        public Db(){


            using (var db = new MyDbContext()){
                db.Foo.Add(new Foo{Id = 8, Data = "Yolo"});
                //db.SaveChanges();
            }
        }
    }
}